![Flowblade](flowblade-trunk/Flowblade/res/img/header_text.png "Flowblade")

**NEW RELEASE 2.8 IS OUT NOW.**

**INSTALLING: see[ here.](https://github.com/jliljebl/flowblade#installing-flowblade)**

**RELEASE NOTES AVAILABLE[ here.](./flowblade-trunk/docs/RELEASE_NOTES.md)**

1. [Introduction](https://github.com/jliljebl/flowblade#introduction)
2. [Features](https://github.com/jliljebl/flowblade#features)
3. [Releases](https://github.com/jliljebl/flowblade#releases)
4. [Installing Flowblade](https://github.com/jliljebl/flowblade#installing-flowblade)
5. [Docs](https://github.com/jliljebl/flowblade#docs)
6. [Screenshot](https://github.com/jliljebl/flowblade#screenshot)
7. [Forum, Webpage](https://github.com/jliljebl/flowblade#forum-webpage)
8. [Contact](https://github.com/jliljebl/flowblade#contact)

# Introduction

Flowblade is a **multitrack non-linear video editor** for Linux released under **GPL 3 license**.

With Flowblade Movie Editor you can compose movies from video clips, audio clips and graphics files. Clips can be cut at the desired frames, filters can be added to clips, and you can create multilayer composite images using compositor objects.

Flowblade offers a configurable workflow - toolset, its order, default tool and certain timeline behaviours are user settable.

# Features

**Editing:**

* 11 editing tools, 9 of which can be selected to the working set
* 4 methods to insert / overwrite / append clips on the timeline
* Drag'n'Drop clips on the timeline
* Clip and compositor parenting with other clips
* Max. 9 combined video and audio tracks available

**Image compositing:**

* 10 compositors. Mix, zoom, move and rotate source video with keyframed animation tools
* 19 blends. Stardand image blend modes like Add, Hardlight and Overlay are available
* 40+ pattern wipes. 

**Image and audio filtering:**

* 50+ image filters: color correction, image effects, distorts, alpha manipulation, blur, edge detection, motion effects, freeze frame, etc.
* 30+ audio filters: keyframed volume mixing, echo, reverb, distort, etc.

**Supported editable media types:**

* Most common video and audio formats, depends on installed MLT/FFMPEG codecs
* JPEG, PNG, TGA, TIFF graphics file types
* SVG vector graphics
* Numbered frame sequences 

**Output encoding:**

* Most common video and audio formats, depends on installed MLT/FFMPEG codecs
* User can define rendering by setting FFMpeg args individually

# Releases

**Latest release:** Flowblade Movie Editor 2.8 was released on February 2021.

**Next release:** Flowblade Movie Editor 2.10 is targeted to be release in June 2021.

# Installing Flowblade

Installing instructions are available [here](./flowblade-trunk/docs/INSTALLING.md).

# Docs

[FAQ](./flowblade-trunk/docs/FAQ.md)

[Known Issues](./flowblade-trunk/docs/KNOWN_ISSUES.md)

[Roadmap](./flowblade-trunk/docs/ROADMAP.md)

[Release notes](./flowblade-trunk/docs/RELEASE_NOTES.md)

[Creating a translation](./flowblade-trunk/docs/CREATING_TRANSLATION.md)

[Dependencies](./flowblade-trunk/docs/DEPENDENCIES.md)

[System Requirements](./flowblade-trunk/docs/SYSTEM_REQUIREMENTS.md)

# Screenshot2
[Screenshot 2.8 neutral theme](./flowblade-trunk/docs/Screenshot_THEME_FLOWBLADE_NEUTRAL.png)

[Screenshot 2.8 grey theme](./flowblade-trunk/docs/Screenshot_THEME_FLOWBLADE_GRAY.png)

[Screenshot 2.0 blue theme](./flowblade-trunk/docs/Screenshot-2-0.png)

These are in the repository */docs* folder.

# Forum, Webpage

For questions and discussion on Flowblade we have a [User Forum](https://github.com/jliljebl/flowblade-forum).

[The project webpage is here](http://jliljebl.github.io/flowblade/). 

# Contact

Use the **Issues** tab to give bug reports or to make feature requests.

If needed, contact the project lead for additional information: janne.liljeblad@gmail.com
